Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freenet.support.CPUInformation
Class CPUID.CPUIDCPUInfo

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo

Direct Known Subclasses:
  CPUID.AMDInfoImpl, CPUID.IntelInfoImpl, CPUID.VIAC3Impl

Enclosing class:
  CPUID

    protected abstract static class CPUID.CPUIDCPUInfo

extends Object

Constructor Summary
`protected` | `CPUID.CPUIDCPUInfo()`

Method Summary
`String` | `getVendor()`
`boolean` | `hasMMX()`
`boolean` | `hasSSE()`
`boolean` | `hasSSE2()`
`boolean` | `IsC3Compatible()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPUID.CPUIDCPUInfo

    protected CPUID.CPUIDCPUInfo()

Method Detail

### getVendor

    public String getVendor()

### hasMMX

    public boolean hasMMX()

### hasSSE

    public boolean hasSSE()

### hasSSE2

    public boolean hasSSE2()

### IsC3Compatible

    public boolean IsC3Compatible()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD